#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hls-refactor-plugin
version:              2.0.0.0
visibility:           public
id:                   hls-refactor-plugin-2.0.0.0-52riMCIxp257n33kKpYfXQ
key:                  hls-refactor-plugin-2.0.0.0-52riMCIxp257n33kKpYfXQ
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  a720445c54b7b4ffb64625deba0c9da5
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hls-refactor-plugin-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-2.0.0.0-52riMCIxp257n33kKpYfXQ
depends:
    aeson-2.1.2.1-38LADbNStwmEfKOReucTQy base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    extra-1.7.16-CikHmmEQvn83rCDobzYCEG ghc-9.4.8 ghc-boot-9.4.8
    ghc-exactprint-1.6.1-7VevvuiZbEr3xPBlpJ7Rs3
    ghcide-2.0.0.0-JcmY1bdHqtB94QuDzkvIwl
    hls-graph-2.0.0.0-7mpN8Ni105a3yZzwtw4Ggz
    hls-plugin-api-2.0.0.0-3ttIUvZw6ihLWgKgou3EZc
    lens-5.2.3-7k2QwsHyLcVK6NgbwpIzej
    lsp-1.6.0.0-AuMestzpB9CEEjnSBJM0K4 mtl-2.2.2
    regex-tdfa-1.3.2.4-LXwWfM9riXbAuaKHkk8lra
    retrie-1.2.3-FK877bzOi9SDfC4ocTeA9
    syb-0.7.2.4-2YD6CDfMmJX8WUaza11ezv text-2.0.2
    text-rope-0.3-GlrOI4qcI4REHYARsqE9is time-1.12.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-WenrpHtwHKIVom5hXYF7C

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

